Bug 1124360 - No validation for Maximum number of VMs per user in VM POOL dialog
Summary: No validation for Maximum number of VMs per user in VM POOL dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 3.6.0
Assignee: jniederm
QA Contact: sefi litmanovich
URL:
Whiteboard: virt
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 10:10 UTC by Eli Mesika
Modified: 2016-02-10 19:51 UTC (History)
11 users (show)

Fixed In Version: ovirt-engine-3.6.0-0.0.master.20150412172306.git55ba764
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-04 11:31:03 UTC
oVirt Team: Virt


Attachments (Terms of Use)
defining Maximum number of VMs per user > number of VMs in pool (38.82 KB, image/png)
2014-07-29 10:10 UTC, Eli Mesika
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 34581 master MERGED webadmin: Maximum number of VMs per user in VM Pool dialog validated Never

Description Eli Mesika 2014-07-29 10:10:43 UTC
Created attachment 922098 [details]
defining Maximum number of VMs per user > number of VMs in pool

Description of problem:
No validation for Maximum number of VMs per user in VM POOL dialog

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.Define a new pool with several VMs (4 for example)
2.Edit the pool and set Maximum number of VMs per user to 100
3.Save

Actual results:
You can save a number > number of VMs in the pool for Maximum number of VMs per user field

Expected results:
Yuu should not be able to save  number > number of VMs in the pool for Maximum number of VMs per user field 

Additional info:

Comment 1 jniederm 2014-10-29 10:31:13 UTC
Fixed for both "New Pool" and "Edit Pool" dialogs.

Comment 2 sefi litmanovich 2015-07-23 12:24:16 UTC
Verified with ovirt-engine-3.6.0-0.0.master.20150627185750.git6f063c1.el6.noarch.

1. trying to create a vm pool with 4 VMs and set MaxVmsPerUser to 6 - the box with value 6 is red and you cannot save VMPool.

2. same with edit vm.

3. in edit vm if you increase VMs in pool by y and you had x VMs, you can set MaxVmsPerUser to x + y in the same edit as expected.

Comment 3 Sandro Bonazzola 2015-11-04 11:31:03 UTC
oVirt 3.6.0 has been released on November 4th, 2015 and should fix this issue.
If problems still persist, please open a new BZ and reference this one.


Note You need to log in before you can comment on or make changes to this bug.